Cyberduck Mountain Duck CLI

#11675 closed defect (duplicate)

100% crash when downloading files via amazon SCW

Reported by: gav556 Owned by:
Priority: highest Milestone:
Component: s3 Version: 7.9.0
Severity: blocker Keywords: Crash
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by gav556)

We use Cyberduck to download files from amazon SCW.

There was no problem for many months. Now after upgrading to 7.9.0 Cyberduck crashes each time within 60 seconds of starting the download. The time to crash seems to vary from a few seconds to about a minute.

The files we download are .7z archives ~33GiB in size.

Another user also has this exact problem that started after he upgraded to 7.9.0 too.

Stack trace from crash report:

Top-level Exception
Type:        System.NullReferenceException
Message:     Object reference not set to an instance of an object.
Source:      ObjectListView
Stack Trace: at BrightIdeasSoftware.TreeListView.TreeRenderer.HandleHitTest(Graphics g, OlvListViewHitTestInfo hti, Int32 x, Int32 y)
   at BrightIdeasSoftware.BaseRenderer.HitTest(OlvListViewHitTestInfo hti, Int32 x, Int32 y)
   at BrightIdeasSoftware.ObjectListView.OlvHitTest(Int32 x, Int32 y)
   at BrightIdeasSoftware.ObjectListView.BuildCellEvent(CellEventArgs args, Point location)
   at BrightIdeasSoftware.ObjectListView.OnMouseMove(MouseEventArgs e)
   at System.Windows.Forms.Control.WmMouseMove(Message& m)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.ListView.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Attachments (2)

cyberduck_crash.jpg (26.6 KB) - added by gav556 on May 16, 2021 at 1:51:24 PM.
Crash pop-up
637568493747823169.txt (2.6 KB) - added by gav556 on May 17, 2021 at 4:43:43 PM.
Crash Report

Download all attachments as: .zip

Change History (8)

Changed on May 16, 2021 at 1:51:24 PM by gav556

Crash pop-up

comment:1 Changed on May 16, 2021 at 2:03:48 PM by gav556

  • Description modified (diff)

comment:2 Changed on May 17, 2021 at 3:00:42 PM by dkocher

Please attach the crash report.

Changed on May 17, 2021 at 4:43:43 PM by gav556

Crash Report

comment:3 Changed on May 17, 2021 at 4:45:08 PM by gav556

  • Description modified (diff)

comment:4 Changed on May 17, 2021 at 6:35:31 PM by dkocher

17	Top-level Exception
18	Type:        System.NullReferenceException
19	Message:     Object reference not set to an instance of an object.
20	Source:      ObjectListView
21	Stack Trace: at BrightIdeasSoftware.TreeListView.TreeRenderer.HandleHitTest(Graphics g, OlvListViewHitTestInfo hti, Int32 x, Int32 y)
22	   at BrightIdeasSoftware.BaseRenderer.HitTest(OlvListViewHitTestInfo hti, Int32 x, Int32 y)
23	   at BrightIdeasSoftware.ObjectListView.OlvHitTest(Int32 x, Int32 y)
24	   at BrightIdeasSoftware.ObjectListView.BuildCellEvent(CellEventArgs args, Point location)
25	   at BrightIdeasSoftware.ObjectListView.OnMouseMove(MouseEventArgs e)
26	   at System.Windows.Forms.Control.WmMouseMove(Message& m)
27	   at System.Windows.Forms.Control.WndProc(Message& m)
28	   at System.Windows.Forms.ListView.WndProc(Message& m)
29	   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

comment:5 Changed on May 18, 2021 at 7:24:06 AM by dkocher

  • Milestone 7.9.1 deleted
  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #10785.

comment:6 Changed on Jun 16, 2021 at 3:18:47 PM by gav556

I know this bug is closed, but I've not experienced this issue again since upgrading to 7.9.1 (34974).

Note: See TracTickets for help on using tickets.